[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPObjectList.Move

Move an object to another location in the list.

## Declaration

Source position: contnrs.pp line 58

`public procedure TFPObjectList.Move(`
`CurIndex: Integer;`
`NewIndex: Integer`
`);`

## Arguments

`CurIndex` |  | The current index of the object
`NewIndex` |  | The new index of the object

## Description

Move moves the object at current location CurIndex to location NewIndex. Note that the NewIndex is determined after the object was removed from location CurIndex, and can hence be shifted with 1 position if CurIndex is less than NewIndex.

Contrary to exchange, the move operation is done by extracting the object from it's current location and inserting it at the new location.

## Errors

If either CurIndex or NewIndex is out of range, an exception may occur.

## See also

TFPObjectList.Exchange |  | Exchange the location of two objects
TFPObjectList.Delete |  | Delete an element from the list.
TFPObjectList.Insert |  | Insert a new object in the list